cxf-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ron Grimes <rgri...@sinclairoil.com>
Subject Version 2.4 and JAXB (2.1 or 2.2?)
Date Mon, 25 Apr 2011 20:08:41 GMT
There are two places, at the CXF website, which mention that we need to use JAXB 2.1

http://cxf.apache.org/docs/jax-rs.html

"If Maven is not used then the following JARs will need to be available at the runtime classpath.

For CXF 2.4.0:

	cxf-2.4.0.jar
	jsr311-api-1.1.1.jar
	jaxb-impl-2.1.13.jar
	jaxb-api-2.1.jar"


AND 

http://cxf.apache.org/faq.html#FAQ-CanCXFrunwithJDK1.6%3F

"JDK 1.6 incorporates the JAXB reference implementation. However, it incorporates an old version
of the RI. CXF does not support this version. As of 1.6_04, this is easy to deal with: you
must put the versions of JAXB RI (the 'impl' and 'xjc' jars) that we include with CXF in your
classpath. As of this writing, these are version 2.1.6."


However, I notice the apache-cxf-2.4.0 jar is shipped with the jaxb 2.2.1.


So, which is it?

Thanks,

Ron Grimes


Mime
View raw message